### Type parameters

- #### T

### Hierarchy

- ShaderParameter

## Index

### Constructors

- constructor

### Properties

- index
- type
- value

## Constructors

### constructor

- new ShaderParameter(): ShaderParameter

- - Defined in lib/openfl/display/ShaderParameter.d.ts:12

  #### Returns ShaderParameter

## Properties

### index

index: number

- Defined in lib/openfl/display/ShaderParameter.d.ts:10

### type

type: ShaderParameterType

- Defined in lib/openfl/display/ShaderParameter.d.ts:11

### value

value: Array<T>

- Defined in lib/openfl/display/ShaderParameter.d.ts:12

Generated using TypeDoc